Ghostscript bug?!

14/09/2007 - 20:52 von Markus Steinborn | Report spam
Hallo NG,

wer von euch kann den folgenden Bug bestàtigen (natürlich nur mit den
aktuellen Softwareversionen):

http://savannah.gnu.org/bugs/?20270

Die Testdatei befindet sich in
http://bugs.ghostscript.com/show_bug.cgi?idh8943


Danach soll gv 3.6.3 in Verbindung mit Gnu-Ghostscript 8.60.0 die
verlinkte Testdatei nicht korrekt darstellen können, wenn ghostscript
NICHT die Option "-dFIXEDMEDIA" übergeben bekommt (dazu muss es in den
Ghostscript-Optionen in gv entfernt werden). Bei mir jedenfalls
tritt der Bug definitiv auf und deswegen habe ich den obigen Bugreport
eröffnet.

Jetzt ist das Problem jedoch, dass der Maintainer den Bug bei sich nicht
reproduzieren kann und daher den ebenfalls vorhandenen Patch nicht
anwendet. Daher die Frage, ob wer den Bug bestàtigen kann.


Grüße

Markus Steinborn


PS: Ich bestàtige den Bug hiermit für Fedora Core 5 und 6. An der Uni
tritt er auch unter OpenSuSE 10.2 auf, so dass ich ihn auch dafür
bestàtigen kann.

PPS: Wer unter OpenSuSE neuere gv-versioen benutzen möchte, dem könnte
dieser Bugreport hilfreich sein:
http://savannah.gnu.org/bugs/index.php?18376
Daran bin ich in der Uni zwischenzeitlich auch verzweifelt.
 

Lesen sie die antworten

#1 Markus Steinborn
15/09/2007 - 16:07 | Warnen spam
Hallo NG,

On Fri, 14 Sep 2007, Markus Steinborn wrote:

wer von euch kann den folgenden Bug bestàtigen (natürlich nur mit den
aktuellen Softwareversionen):



Mittlerweile konnte der Bug doch vom Maintainer bestàtigt werden. Er ist
also definitiv in Ghostscript enthalten.

Die Schwierigkeiten dabei lagen offenbar daran, dass in gv 3.6.3 ein guter
Workaround eingebaut ist. Dieser verhindert, dass sich der Bug direkt
zeigt.

Nach meinen Erkenntnissen sind sowohl GPL-Ghostscript als auch
GNU-Ghostscript in allen 8.x-Versionen betroffen.



Grüße

Markus

Ähnliche fragen